<?php

/* This script adds a new %vmenu% wikistyle that can be applied to
   unordered lists, and will cause them to be displayed according to 
   "Drop-Down Menus, Horizontal Style" from A List Apart
   (http://www.alistapart.com/articles/horizdropdowns/)
*/

SDV($WikiStyle['vmenu'],array('apply'=>'block','class'=>'vmenu'));

$HTMLStylesFmt['vmenu'] = "
  ul.vmenu {
    margin: 0; 
    padding: 0;
    list-style: none;
    width: 140px;
    border-bottom: 0px solid #ccc;
    z-index: 1;
  }
  ul.vmenu li { 
    position: relative; 
    margin: 0; padding: 0;
    text-decoration: none;
    color: #777;
    background: #fff;
    background-color: #F0F0F0;
    padding: 1px;
    border: 0px solid #ccc;
    border-bottom: 0px solid #ccc;
  }
  ul.vmenu li ul { 
    margin: 0;
    padding: 0;
    list-style: none;
    width: 145px;
    position: absolute; 
    left: -1px; top: 14px;
    display: none;
    z-index: 99;
   }
  ul.vmenu li ul li { 
  z-index: 89;
  margin:0px; 
  list-style: none; 
  border-right: 2px solid #ccc;
  border-left: 20px solid #ccc;
  padding-left: 5px; 
  padding-bottom: 4px;
  }  
  ul.vmenu li ul li a { 
  text-decoration: none;
  }
  ul.vmenu li:hover ul, ul.vmenu li.over ul { display:block; }
  /* Fix IE.  Hide from IE Mac.\*/
  * html ul.vmenu li ul { top:5px; left:6px; }
  /* End */
";

$HTMLHeaderFmt['vmenu'] = '
  <script language="javascript" type="text/javascript"><!--
    vmenu = function() {
      if (document.all) {
        for(k=0;k<document.all.length;k++) {
          navRoot = document.all[k];
          if (navRoot.className!="vmenu") continue;
          for (i=0; i<navRoot.childNodes.length; i++) {
            node = navRoot.childNodes[i];
            if (node.nodeName=="LI") {
              node.onmouseover=function() {
                this.className+=" over";
              }
              node.onmouseout=function() {
                this.className=this.className.replace(" over", "");
              }
            }
          }
        }
      }
    }
    window.onload=vmenu;
  --></script>';

?>
